/* -*- Mode: Javascript; indent-tabs-mode:nil; js-indent-level: 2 -*- */
/* vim: set ts=2 et sw=2 tw=80: */

/*************************************************************
 *
 *  MathJax/localization/fr/MathMenu.js
 *  
 *  Copyright (c) 2013 The MathJax Consortium
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

MathJax.Localization.addTranslation("fr","MathMenu",{
  version: "2.2",
  isLoaded: true,
  strings: {

    Show: "Afficher sous forme",
      MathMLcode:     "de code MathML",
      OriginalMathML: "de code MathML originel",
      TeXCommands:    "de commandes TeX",
      AsciiMathInput: "de code AsciiMathML",
      Original:       "originelle",
      ErrorMessage:   "de message d'erreur",
      texHints:       "Inclure les donn\u00E9es TeX dans le MathML",
    Settings: "Param\u00E8tres",
      ZoomTrigger: "D\u00E9clenchement du zoom",
        Hover:       "Survol de la souris",
        Click:       "Clic de souris",
        DoubleClick: "Double-clic",
        NoZoom:      "Pas de zoom",
      TriggerRequires: "Le d\u00E9clenchement n\u00E9cessite la touche",
        Option:      "Option",
        Alt:         "Alt",
        Command:     "Command",
        Control:     "Control",
        Shift:       "Shift",
      ZoomFactor:    "Facteur de zoom",
      Renderer: "Mode de rendu",
      MPHandles: "Laissez MathPlayer g\u00E9rer les",
        MenuEvents:    "\u00C9v\u00E8nements du menu",
        MouseEvents:   "\u00C9v\u00E8nements de la souris",
        MenuAndMouse:  "\u00C9v\u00E8nements de menu et de la souris",
      FontPrefs:  "Pr\u00E9f\u00E9rences des polices",
        ForHTMLCSS: "Pour le HTML-CSS:",
          Auto:         "Auto",
          TeXLocal:     "TeX (locales)",
          TeXWeb:       "TeX (web)",
          TeXImage:     "TeX (image)",
          STIXLocal:    "STIX (locales)",
      ContextMenu: "Menu contextuel",
        Browser:        "Navigateur",
      Scale: "Mise \u00E0 l'\u00E9chelle ...",
      Discoverable: "Mettez en surbrillance lors du survol",
    Locale: "Langue",
      LoadLocale: "Charger \u00E0 partir de l'URL...",
    About: "\u00C0 propos de MathJax",
    Help:  "Aide MathJax",
       
    localTeXfonts:  "utilisant les polices TeX locales",
    webTeXfonts:    "utilisant les polices TeX Web",
    imagefonts:     "utilisant les images de caract\u00E8res",
    localSTIXfonts: "utilisant les polices STIX locales",
    webSVGfonts:    "utilisant les polices SVG Web",
    genericfonts:   "utilisant les polices locales g\u00E9n\u00E9riques",
      
    wofforotffonts: "les polices woff ou otf",
    eotffonts:      "les polices eot",
    svgfonts:       "les polices svg",

    WebkitNativeMMLWarning:
      "Votre navigateur ne semble pas comporter de support MathML, " +
      "changer le mode de rendu pourrait rendre illisibles " +
      "les expressions math\u00E9matiques.",

    MSIENativeMMLWarning:
      "Internet Explorer a besoin du module compl\u00E9mentaire MathPlayer " + 
      "pour afficher le MathML.",
      
    OperaNativeMMLWarning:
      "Le support MathML d'Opera est limit\u00E9, changer le mode de rendu " +
      "pourrait entrainer un affichage m\u00E9diocre de certaines expressions.",

    SafariNativeMMLWarning:
      "Le support MathML natif de votre navigateur ne comporte pas " +
      "toutes les fonctionnalit\u00E9s requises par MathJax, certaines " +
      "expressions pourront donc ne pas s'afficher correctement.",

    FirefoxNativeMMLWarning:
      "Le support MathML natif de votre navigateur ne comporte pas " +
      "toutes les fonctionnalit\u00E9s requises par MathJax, certaines " +
      "expressions pourront donc ne pas s'afficher correctement.",

    LoadURL:
      "Charger les donn\u00E9es de traduction \u00E0 partir de cette addresse URL:",
      
    BadURL:
      "L'adresse URL doit \u00EAtre un fichier Javascript contenant des donn\u00E9es de traduction MathJax." +
      "Les noms de fichier Javascript doivent se terminer par '.js'",

    BadData:
     "\u00C9chec du chargement des donn\u00E9es de traduction \u00E0 partir de %1",
     
    SwitchAnyway:
      "\u00CAtes vous certain de vouloir changer le mode de rendu ?\n\n" +
      "Appuyez sur OK pour valider ou Annuler pour continuer avec le " +
      "mode de rendu actuellement s\u00E9lectionn\u00E9.",

    ScaleMath:
      "Mise \u00E0 l'\u00E9chelle des expressions math\u00E9matiques (par rapport au " +
      "text environnant) de",

    NonZeroScale:
      "L'\u00E9chelle ne peut \u00EAtre nulle",

    PercentScale:
      "L'\u00E9chelle doit \u00EAtre un pourcentage (e.g. 120%%)",

    IE8warning:
      "Ceci d\u00E9sactivera le menu de MathJax et les fonctionalit\u00E9s de " +
      "zoom mais vous pourrez toujours obtenir le menu de MathJax " +
      "en utilisant la commande Alt+Clic sur une expression.\n\n" +
      "\u00CAtes vous certain de vouloir choisir les options de MathPlayer?",

    IE9warning:
      "Le menu contextuel de MathJax sera d\u00E9sactiv\u00E9, " +
      "mais vous pourrez toujours obtenir le menu de MathJax " +
      "en utilisant la commande Alt-Clic sur une expression.",

    NoOriginalForm:
      "Aucune forme originelle disponible.",

    Close:
      "Fermer",

    EqSource:
      "Source de l'\u00E9quation MathJax"

  }
});

MathJax.Ajax.loadComplete("[MathJax]/localization/fr/MathMenu.js");
